<?php

namespace App\Http\Controllers\Api;


use App\Jobs\DesktopDeviceJob;
use App\Jobs\ManDeviceJob;
use App\Jobs\ProcessDataJob;
use Illuminate\Http\Request;


class JobController extends BaseController
{
    //温度压力传感器设备
    public function processDataJobAdd(Request $request)
    {
        dispatch(new ProcessDataJob($request->all()))->onQueue('cloud_device');
        echo 'ok';
    }

    //桌面设备
    public function processDataJobAddDevice(Request $request){
        dispatch(new DesktopDeviceJob($request->all()))->onQueue('desktop_device');
        echo 'ok';
    }

    //有人云
    public function processDataJobAddDeviceMan(Request $request){
        dispatch(new ManDeviceJob($request->all()))->onQueue('man_device');

        echo $request->get('verify');die;
    }
}
